Skip to main content
GET
List FeatureSet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

return
string

Comma-separated list of specific fields to return/append in the response. See isAdditionalData for more details.

Example:

"id,nameFirst,nameLast"

isAdditionalData
boolean

Set to true to merge requested fields with default response, or false/omit to return only requested fields plus ID.

Example:

true

Response

200 - application/json

A list of FeatureSets

c_attributeField
string
required

Stores the characteristics or properties associated with a specific feature in the FeatureSet.

default~FeatureId
number | null
required

Represents the unique identifier for the default feature within a set of features.

descrip
string
required

Description of record.

feature
object[]
required

Stores the specific characteristics or properties of an item in the FeatureSet.

FeatureSetTypeId
number | null
required

Identifies the type of feature set in the database.

GlassUtility~EntityId
number | null
required

Represents the unique identifier for a specific utility entity within the glass feature set.

id
number
required

Unique identifier.

isInfo
boolean | null
required

Indicates whether the feature set contains informational data or not.

isPerson
boolean | null
required

Indicates whether the feature set represents an individual person or not.

name
string
required

Name of featureSet.